Open Bug 1435394 Opened 2 years ago Updated 5 days ago

Intermittent browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup should be set - Got , expected 20180202165238

Categories

(Firefox :: Session Restore, defect, P5)

defect

Tracking

()

People

(Reporter: intermittent-bug-filer, Assigned: ccoroiu)

Details

(Keywords: intermittent-failure, leave-open, Whiteboard: [stockwell disabled][stockwell needswork:owner])

Attachments

(4 files, 3 obsolete files)

Filed by: apavel [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=160113232&repo=autoland

https://queue.taskcluster.net/v1/task/PviTYL-xS9-6IQ1EoYm8Uw/runs/0/artifacts/public/logs/live_backing.log

09:18:42     INFO - TEST-START | browser/components/sessionstore/test/browser_upgrade_backup.js
09:18:42     INFO - GECKO(2136) | ++DOMWINDOW == 7 (0x1148d4400) [pid = 2137] [serial = 7] [outer = 0x11a1773f0]
09:18:42     INFO - GECKO(2136) | ++DOMWINDOW == 2 (0x113981c00) [pid = 2138] [serial = 2] [outer = 0x10f378010]
09:18:42     INFO - GECKO(2136) | [Child 2137, Main Thread] WARNING: attempt to modify an immutable nsStandardURL: file /builds/worker/workspace/build/src/netwerk/base/nsStandardURL.cpp, line 1698
09:18:42     INFO - TEST-INFO | started process screencapture
09:18:42     INFO - TEST-INFO | screencapture: exit 0
09:18:42     INFO - Buffered messages logged at 09:18:42
09:18:42     INFO - Entering test bound init
09:18:42     INFO - Leaving test bound init
09:18:42     INFO - Entering test bound test_upgrade_backup
09:18:42     INFO - Let's check if we create an upgrade backup
09:18:42     INFO - Buffered messages finished
09:18:42     INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup should be set - Got , expected 20180202165238
09:18:42     INFO - Stack trace:
09:18:42     INFO - chrome://mochikit/content/browser-test.js:test_is:1269
09:18:42     INFO - chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_upgrade_backup.js:test_upgrade_backup:68
09:18:42     INFO - Not taking screenshot here: see the one that was previously logged
09:18:42     INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup file has been created - Got false, expected true
09:18:42     INFO - Stack trace:
09:18:42     INFO - chrome://mochikit/content/browser-test.js:test_is:1269
09:18:42     INFO - chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_upgrade_backup.js:test_upgrade_backup:70
09:18:42     INFO - Not taking screenshot here: see the one that was previously logged
09:18:42     INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_upgrade_backup.js | Uncaught exception - at (unknown module):undefined - Unix error 2 during operation open (No such file or directory)
09:18:42     INFO - Leaving test bound test_upgrade_backup
09:18:42     INFO - Entering test bound test_upgrade_backup_removal
09:18:42     INFO - Let's see if we remove backups if there are too many
09:18:42     INFO - TEST-PASS | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup should be set - 
09:18:42     INFO - TEST-PASS | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup file has been created - 
09:18:42     INFO - TEST-PASS | browser/components/sessionstore/test/browser_upgrade_backup.js | expected number of backups are present after removing old backups - 
09:18:42     INFO - TEST-PASS | browser/components/sessionstore/test/browser_upgrade_backup.js | one new backup was created that was not removed - 
09:18:42     INFO - GECKO(2136) | [Child 2138, Main Thread] WARNING: NS_ENSURE_TRUE(node) failed: file /builds/worker/workspace/build/src/layout/base/nsDocumentViewer.cpp, line 3713
09:18:42     INFO - Console message: [JavaScript Warning: "Use of nsIFile in content process is deprecated." {file: "resource://gre/modules/FileUtils.jsm" line: 174}]
09:18:42     INFO - TEST-PASS | browser/components/sessionstore/test/browser_upgrade_backup.js | second call to SessionFile.write() didn't create or remove more backups - 
09:18:42     INFO - Leaving test bound test_upgrade_backup_removal
09:18:42     INFO - GECKO(2136) | MEMORY STAT vsizeMaxContiguous not supported in this build configuration.
09:18:42     INFO - GECKO(2136) | MEMORY STAT | vsize 4120MB | residentFast 304MB | heapAllocated 114MB
09:18:42     INFO - TEST-OK | browser/components/sessionstore/test/browser_upgrade_backup.js | took 479ms
09:18:42     INFO - GECKO(2136) | ### XPCOM_MEM_BLOAT_LOG defined -- logging bloat/leaks to /var/folders/35/6959qfw91gd_tkyhwjybqh9m00000w/T/tmp3tyYxp.mozrunner/runtests_leaks_tab_pid2140.log
09:18:42     INFO - checking window state
09:18:43     INFO - GECKO(2136) | ++DOMWINDOW == 11 (0x12c955400) [pid = 2136] [serial = 11] [outer = 0x11b028100]
09:18:43     INFO - GECKO(2136) | ++DOMWINDOW == 12 (0x1309f1800) [pid = 2136] [serial = 12] [outer = 0x11b028100]
09:18:43     INFO - GECKO(2136) | Unable to read VR Path Registry from /Users/cltbld/Library/Application Support/OpenVR/.openvr/openvrpaths.vrpath
09:18:43     INFO - GECKO(2136) | ++DOCSHELL 0x1209e6000 == 1 [pid = 2140] [id = {fa2196e8-251b-194a-8e0b-c3023475b5c1}]
09:18:43     INFO - GECKO(2136) | ++DOMWINDOW == 1 (0x11d579660) [pid = 2140] [serial = 1] [outer = 0x0]
09:18:43     INFO - GECKO(2136) | --DOCSHELL 0x112997800 == 0 [pid = 2138] [id = {ea0db960-ec20-0743-99b9-766ab73ce549}]
09:18:43     INFO - GECKO(2136) | ++DOMWINDOW == 2 (0x121984000) [pid = 2140] [serial = 2] [outer = 0x11d579660]
09:18:43     INFO - GECKO(2136) | [Child 2140, Main Thread] WARNING: NS_ENSURE_TRUE(node) failed: file /builds/worker/workspace/build/src/layout/base/nsDocumentViewer.cpp, line 3713
09:18:43     INFO - GECKO(2136) | --DOCSHELL 0x11e61a000 == 1 [pid = 2137] [id = {a031b9dd-78e0-9849-af49-4909ffc1dfcb}]
09:18:43     INFO - GECKO(2136) | --DOCSHELL 0x12508e000 == 0 [pid = 2137] [id = {d651f25c-4def-3d45-9cef-9adb9b569101}]
09:18:43     INFO - GECKO(2136) | 2018-02-02 09:18:43.978 plugin-container[2140:16522] *** CFMessagePort: bootstrap_register(): failed 1100 (0x44c) 'Permission denied', port = 0x9253, name = 'com.apple.tsm.portname'
09:18:43     INFO - GECKO(2136) | See /usr/include/servers/bootstrap_defs.h for the error codes.
09:18:44     INFO - GECKO(2136) | --DOMWINDOW == 6 (0x1148d0400) [pid = 2137] [serial = 6] [outer = 0x0] [url = about:blank]
09:18:44     INFO - GECKO(2136) | --DOMWINDOW == 5 (0x11e683c00) [pid = 2137] [serial = 2] [outer = 0x0] [url = about:blank]
09:18:44     INFO - GECKO(2136) | --DOCSHELL 0x12f067800 == 4 [pid = 2136] [id = {ab3086b9-0152-3848-a0fc-cbfca8dc8ac9}]
09:18:45     INFO - GECKO(2136) | --DOMWINDOW == 1 (0x10f378010) [pid = 2138] [serial = 1] [outer = 0x0] [url = about:blank]
09:18:45     INFO - GECKO(2136) | --DOMWINDOW == 0 (0x113981c00) [pid = 2138] [serial = 2] [outer = 0x0] [url = about:blank]
09:18:46     INFO - GECKO(2136) | --DOMWINDOW == 4 (0x1148ce400) [pid = 2137] [serial = 4] [outer = 0x0] [url = about:blank]
09:18:46     INFO - GECKO(2136) | --DOMWINDOW == 3 (0x11e680800) [pid = 2137] [serial = 3] [outer = 0x0] [url = about:blank]
09:18:46     INFO - GECKO(2136) | --DOMWINDOW == 2 (0x11a176660) [pid = 2137] [serial = 1] [outer = 0x0] [url = about:blank]
09:18:46     INFO - GECKO(2136) | --DOMWINDOW == 1 (0x11a1773f0) [pid = 2137] [serial = 5] [outer = 0x0] [url = about:newtab]
09:18:46     INFO - GECKO(2136) | --DOMWINDOW == 0 (0x1148d4400) [pid = 2137] [serial = 7] [outer = 0x0] [url = about:newtab]
09:18:46     INFO - GECKO(2136) | --DOMWINDOW == 11 (0x12fc97800) [pid = 2136] [serial = 8] [outer = 0x0] [url = about:blank]
09:18:46     INFO - GECKO(2136) | --DOMWINDOW == 10 (0x12c955400) [pid = 2136] [serial = 11] [outer = 0x0] [url = about:blank]
09:18:47     INFO - GECKO(2136) | Completed ShutdownLeaks collections in process 2138
09:18:47     INFO - GECKO(2136) | Completed ShutdownLeaks collections in process 2140
09:18:47     INFO - GECKO(2136) | --DOMWINDOW == 9 (0x12dac0180) [pid = 2136] [serial = 6] [outer = 0x0] [url = about:blank]
09:18:47     INFO - GECKO(2136) | --DOMWINDOW == 8 (0x12f043c00) [pid = 2136] [serial = 7] [outer = 0x0] [url = about:blank]
09:18:47     INFO - GECKO(2136) | Completed ShutdownLeaks collections in process 2137
09:18:47     INFO - Console message: [JavaScript Warning: "Use of nsIFile in content process is deprecated." {file: "resource://gre/modules/FileUtils.jsm" line: 174}]
09:18:47     INFO - GECKO(2136) | ### XPCOM_MEM_BLOAT_LOG defined -- logging bloat/leaks to /var/folders/35/6959qfw91gd_tkyhwjybqh9m00000w/T/tmp3tyYxp.mozrunner/runtests_leaks_tab_pid2141.log
09:18:48     INFO - GECKO(2136) | Unable to read VR Path Registry from /Users/cltbld/Library/Application Support/OpenVR/.openvr/openvrpaths.vrpath
09:18:48     INFO - GECKO(2136) | 2018-02-02 09:18:48.329 plugin-container[2141:16562] *** CFMessagePort: bootstrap_register(): failed 1100 (0x44c) 'Permission denied', port = 0x9843, name = 'com.apple.tsm.portname'
09:18:48     INFO - GECKO(2136) | See /usr/include/servers/bootstrap_defs.h for the error codes.
09:18:50     INFO - GECKO(2136) | Completed ShutdownLeaks collections in process 2136
09:18:50     INFO - TEST-START | Shutdown
09:18:50     INFO - Browser Chrome Test Summary
09:18:50     INFO - Passed:  5
09:18:50     INFO - Failed:  3
09:18:50     INFO - Todo:    0
09:18:50     INFO - Mode:    e10s
09:18:50     INFO - *** End BrowserChrome Test Results ***
Since this bug was created, 2 days ago, there have been 31 failures. 

The most failures are occurring on the Linux x64 platform, but there are also occurrences on OS X 10.10 and a few on linux64-stylo-disabled.
Affected build types: asan, debug, opt and pgo.

Recent failure log:: https://treeherder.mozilla.org/logviewer.html#?repo=autoland&job_id=160313403&lineNumber=7192

And the relevant part of the log:
3:57:30     INFO - TEST-START | devtools/client/netmonitor/test/browser_net_statistics-01.js
03:58:15     INFO - TEST-INFO | started process screencapture
03:58:16     INFO - TEST-INFO | screencapture: exit 0
03:58:16     INFO - Buffered messages logged at 03:57:30
03:58:16     INFO - Entering test bound 
03:58:16     INFO - Initializing a network monitor pane.
03:58:16     INFO - Adding a new tab with URL: http://example.com/browser/devtools/client/netmonitor/test/html_statistics-test-page.html
03:58:16     INFO - Buffered messages logged at 03:57:31
03:58:16     INFO - Tab added and finished loading
03:58:16     INFO - Net tab added successfully: http://example.com/browser/devtools/client/netmonitor/test/html_statistics-test-page.html
03:58:16     INFO - Target remoted.
03:58:16     INFO - Buffered messages logged at 03:57:32
03:58:16     INFO - Network monitor pane shown successfully.
03:58:16     INFO - Disabling cache and reloading page.
03:58:16     INFO - Got marker: dom-interactive
03:58:16     INFO - Got marker: dom-complete
03:58:16     INFO - Got two timeline markers, done waiting
03:58:16     INFO - Request server1.conn96.child1/netEvent27 for http://example.com/browser/devtools/client/netmonitor/test/html_statistics-test-page.html done
03:58:16     INFO - All requests finished
03:58:16     INFO - Cache disabled when the current and all future toolboxes are open.
03:58:16     INFO - TEST-PASS | devtools/client/netmonitor/test/browser_net_statistics-01.js | Request to reconfigure the tab was recorded. - 
03:58:16     INFO - Clearing requests in the console client.
03:58:16     INFO - Clearing requests in the UI.
03:58:16     INFO - Starting test... 
03:58:16     INFO - TEST-PASS | devtools/client/netmonitor/test/browser_net_statistics-01.js | The current main panel is correct. - 
03:58:16     INFO - Displaying statistics panel
03:58:16     INFO - TEST-PASS | devtools/client/netmonitor/test/browser_net_statistics-01.js | The current main panel is correct. - 
03:58:16     INFO - Waiting for placeholder to display
03:58:16     INFO - Console message: [JavaScript Warning: "Error in parsing value for ‘transform’ after substituting variables. Generated value was ‘ scaleX(Infinity)’.  Falling back to ‘initial’." {file: "chrome://devtools/content/netmonitor/src/assets/styles/RequestList.css" line: 606 column: 12267 source: " scaleX(Infinity)"}]
03:58:16     INFO - Console message: [JavaScript Warning: "Error in parsing value for ‘transform’ after substituting variables. Generated value was ‘ scaleX(Infinity)’.  Falling back to ‘initial’." {file: "chrome://devtools/content/netmonitor/src/assets/styles/RequestList.css" line: 606 column: 12267 source: " scaleX(Infinity)"}]
03:58:16     INFO - Console message: [JavaScript Warning: "Error in parsing value for ‘transform’ after substituting variables. Generated value was ‘ scaleX(Infinity)’.  Falling back to ‘initial’." {file: "chrome://devtools/content/netmonitor/src/assets/styles/RequestList.css" line: 606 column: 12267 source: " scaleX(Infinity)"}]
03:58:16     INFO - TEST-PASS | devtools/client/netmonitor/test/browser_net_statistics-01.js | Two placeholder pie charts appear to be rendered correctly. - 
03:58:16     INFO - TEST-PASS | devtools/client/netmonitor/test/browser_net_statistics-01.js | Two placeholde table charts appear to be rendered correctly. - 
03:58:16     INFO - Waiting for chart to display
03:58:16     INFO - Buffered messages finished
03:58:16     INFO - TEST-UNEXPECTED-FAIL | devtools/client/netmonitor/test/browser_net_statistics-01.js | Test timed out - 
03:58:16     INFO - Removing tab.
03:58:16     INFO - Waiting for event: 'TabClose' on [object XULElement].
03:58:16     INFO - Got event: 'TabClose' on [object XULElement].
03:58:16     INFO - Tab removed and finished closing
03:58:16     INFO - finish() was called, cleaning up...
03:58:16     INFO - GECKO(1923) | MEMORY STAT | vsize 4602MB | residentFast 628MB | heapAllocated 137MB

:mikedeboer As you are the triage owner of this component, could you please take a look at this?
Thank you!
Flags: needinfo?(mdeboer)
Whiteboard: [stockwell needswork]
Well, no.

This failed once on Mac test-verify, then the next four test-verify retriggers hit bug 1435463 but were misclassified as this, then this failed on ASan, then someone somehow misclassified an instance of bug 1373558 as this, making autoclassify decide that this bug is the perfect suggestion instead of that, and we were off to the misclassification races, right down to that log you copy-pasted, which is not this, it is an instance of bug 1373558. We've also misclassified a couple of instances of the still unfiled https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-central&job_id=160233261&lineNumber=35133 "browser_upgrade_backup.js | one new backup was created that was not removed - Got 0, expected 1" as this. 

*This bug* happens on ASan, and on Mac test-verify, and has happened 14 times.
Summary: Intermittent test-verify browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup should be set - Got , expected 20180202165238 → Intermittent browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup should be set - Got , expected 20180202165238
I will take a look soon, but I'm open to disable the test if it's causing too much noise on infra!


Leaving the n-i for now...
It's actually failing about a third of the time on asan, so you should disable it there (and reenable it and use asan to debug on try, since that's frequent enough to be able to make progress on). Other than that, doesn't seem frequent enough to be much of a worry.
Here is a recent log from asan: https://treeherder.mozilla.org/logviewer.html#?repo=autoland&job_id=160768767&lineNumber=2968

And a relevant part of it: 
[task 2018-02-07T05:25:06.488Z] 05:25:06     INFO - TEST-START | browser/components/sessionstore/test/browser_upgrade_backup.js
[task 2018-02-07T05:25:06.736Z] 05:25:06     INFO - TEST-INFO | started process screentopng
[task 2018-02-07T05:25:07.299Z] 05:25:07     INFO - TEST-INFO | screentopng: exit 0
[task 2018-02-07T05:25:07.300Z] 05:25:07     INFO - Buffered messages logged at 05:25:06
[task 2018-02-07T05:25:07.301Z] 05:25:07     INFO - Entering test bound init
[task 2018-02-07T05:25:07.302Z] 05:25:07     INFO - Leaving test bound init
[task 2018-02-07T05:25:07.303Z] 05:25:07     INFO - Entering test bound test_upgrade_backup
[task 2018-02-07T05:25:07.303Z] 05:25:07     INFO - Let's check if we create an upgrade backup
[task 2018-02-07T05:25:07.304Z] 05:25:07     INFO - Buffered messages finished
[task 2018-02-07T05:25:07.305Z] 05:25:07     INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup should be set - Got , expected 20180207043522
[task 2018-02-07T05:25:07.306Z] 05:25:07     INFO - Stack trace:
[task 2018-02-07T05:25:07.307Z] 05:25:07     INFO - chrome://mochikit/content/browser-test.js:test_is:1269
[task 2018-02-07T05:25:07.309Z] 05:25:07     INFO - chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_upgrade_backup.js:test_upgrade_backup:68
[task 2018-02-07T05:25:07.310Z] 05:25:07     INFO - Not taking screenshot here: see the one that was previously logged
[task 2018-02-07T05:25:07.312Z] 05:25:07     INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup file has been created - Got false, expected true
[task 2018-02-07T05:25:07.313Z] 05:25:07     INFO - Stack trace:
[task 2018-02-07T05:25:07.315Z] 05:25:07     INFO - chrome://mochikit/content/browser-test.js:test_is:1269
[task 2018-02-07T05:25:07.316Z] 05:25:07     INFO - chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_upgrade_backup.js:test_upgrade_backup:70
[task 2018-02-07T05:25:07.319Z] 05:25:07     INFO - Not taking screenshot here: see the one that was previously logged
[task 2018-02-07T05:25:07.320Z] 05:25:07     INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_upgrade_backup.js | Uncaught exception - at (unknown module):undefined - Unix error 2 during operation open (No such file or directory)
[task 2018-02-07T05:25:07.321Z] 05:25:07     INFO - Leaving test bound test_upgrade_backup
[task 2018-02-07T05:25:07.322Z] 05:25:07     INFO - Entering test bound test_upgrade_backup_removal
[task 2018-02-07T05:25:07.324Z] 05:25:07     INFO - Let's see if we remove backups if there are too many
[task 2018-02-07T05:25:07.325Z] 05:25:07     INFO - TEST-PASS | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup should be set - 
[task 2018-02-07T05:25:07.326Z] 05:25:07     INFO - TEST-PASS | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup file has been created - 
[task 2018-02-07T05:25:07.327Z] 05:25:07     INFO - TEST-PASS | browser/components/sessionstore/test/browser_upgrade_backup.js | expected number of backups are present after removing old backups - 
[task 2018-02-07T05:25:07.328Z] 05:25:07     INFO - TEST-PASS | browser/components/sessionstore/test/browser_upgrade_backup.js | one new backup was created that was not removed - 
[task 2018-02-07T05:25:07.329Z] 05:25:07     INFO - TEST-PASS | browser/components/sessionstore/test/browser_upgrade_backup.js | second call to SessionFile.write() didn't create or remove more backups - 
[task 2018-02-07T05:25:07.329Z] 05:25:07     INFO - Leaving test bound test_upgrade_backup_removal
This bug failed 47 times in the last 7 days om Linux affecting asan, opt and debug build types.

Failing test:opt-mochitest-browser-chrome-e10

Link to a log:https://treeherder.mozilla.org/logviewer.html#?repo=autoland&job_id=162235992&lineNumber=2869

Part of that log: [task 2018-02-14T21:11:52.297Z] 21:11:52     INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup should be set - Got , expected 20180214204039
[task 2018-02-14T21:11:52.298Z] 21:11:52     INFO - Stack trace:
[task 2018-02-14T21:11:52.298Z] 21:11:52     INFO - chrome://mochikit/content/browser-test.js:test_is:1271
[task 2018-02-14T21:11:52.298Z] 21:11:52     INFO - chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_upgrade_backup.js:test_upgrade_backup:68
[task 2018-02-14T21:11:52.299Z] 21:11:52     INFO - Not taking screenshot here: see the one that was previously logged
[task 2018-02-14T21:11:52.299Z] 21:11:52     INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup file has been created - Got false, expected true
[task 2018-02-14T21:11:52.299Z] 21:11:52     INFO - Stack trace:
[task 2018-02-14T21:11:52.300Z] 21:11:52     INFO - chrome://mochikit/content/browser-test.js:test_is:1271
[task 2018-02-14T21:11:52.300Z] 21:11:52     INFO - chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_upgrade_backup.js:test_upgrade_backup:70
[task 2018-02-14T21:11:52.300Z] 21:11:52     INFO - Not taking screenshot here: see the one that was previously logged
[task 2018-02-14T21:11:52.301Z] 21:11:52     INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_upgrade_backup.js | Uncaught exception - at (unknown module):undefined - Unix error 2 during operation open (No such file or directory)
[task 2018-02-14T21:11:52.301Z] 21:11:52     INFO - Leaving test bound test_upgrade_backup
[task 2018-02-14T21:11:52.302Z] 21:11:52     INFO - Entering test bound test_upgrade_backup_removal

 
:mikedeboe do you have any updates?
Attached patch disable_bug1435394.patch (obsolete) — Splinter Review
Hi! Would you please review the changes I've made for disabling this test on Linux and OSX. Thanks. (also deleted a line that was unnecessary there)

@@ -123,8 +123,8 @@ support-files =
 [browser_switch_remoteness.js]
 run-if = e10s
 [browser_upgrade_backup.js]
+skip-if = os == 'linux' || os == 'mac' # Bug 1435394 disabled on Linux & OSX
 [browser_windowRestore_perwindowpb.js]
-
 [browser_248970_b_perwindowpb.js]
 # Disabled because of leaks.
 # Re-enabling and rewriting this test is tracked in bug 936919.
Attachment #8952012 - Flags: review?(jmaher)
Comment on attachment 8952012 [details] [diff] [review]
disable_bug1435394.patch

Review of attachment 8952012 [details] [diff] [review]:
-----------------------------------------------------------------

I would do:
os == 'linux' && (asan || debug)


there are a few osx/debug failures and a random windows/debug failure.  likewise some opt failures on linux- but in the last 2 weeks 127 failures- 120 of them are linux asan/debug
Attachment #8952012 - Flags: review?(jmaher) → review+
Hello! I've made the modifications you said. I know you've reviewed + on the first time but wanted to do as you said you would. Thanks.
Attachment #8952012 - Attachment is obsolete: true
Attachment #8952639 - Flags: review?(jmaher)
Pushed by csabou@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/57d02e04afd5
Disable browser/components/sessionstore/test/browser_upgrade_backup.js for frequent failures on Linux debug & asan. r=jmaher
Attachment #8952639 - Flags: review?(jmaher) → review+
Cosmin- in the future if you set a r? flag, please wait for the r+ :)  I will make sure to say in a r- or r+ with nits that you can carry forward the r+, or you need to r? again.
Keywords: checkin-needed
:jmaher Oh, sorry about that. After I r? you I've asked Aryx to review the changes I've made so I could push it together with the other patch that I've made about https://bugzilla.mozilla.org/show_bug.cgi?id=1438663 that is failing frequently. I'll try no to do that in the future but the other is a test that is failing a lot and wanted to land it sooner and also to do it together. Sorry to disturb you like that.
Whiteboard: [stockwell disable-recommended] → [stockwell disabled]
This was disabled on Linux / asan & debug
There have been 31 total failures in the last week.
This is failing mainly on windows 7 /pgo and osx 10.10 / debug.


Occurrences per platform:

Windows 7 / pgo: 13
OS x 10.10 /debug: 11
linux32-nightly / opt: 3
windows10-64-ccov / debug: 2
linux32-stylo-disabled / opt: 1
Linux / opt: 1

Recent relevant log file and log snippet:
https://treeherder.mozilla.org/logviewer.html#?repo=autoland&job_id=169298114&lineNumber=4115

21:43:50     INFO -  841 INFO TEST-START | browser/components/sessionstore/test/browser_upgrade_backup.js
21:43:50     INFO -  TEST-INFO | started process screenshot
21:43:50     INFO -  TEST-INFO | screenshot: exit 0
21:43:50     INFO -  Buffered messages logged at 21:43:50
21:43:50     INFO -  842 INFO Entering test bound init
21:43:50     INFO -  843 INFO Leaving test bound init
21:43:50     INFO -  844 INFO Entering test bound test_upgrade_backup
21:43:50     INFO -  845 INFO Let's check if we create an upgrade backup
21:43:50     INFO -  Buffered messages finished
21:43:50    ERROR -  846 INFO TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup should be set - Got , expected 20180320195952
21:43:50     INFO -  Stack trace:
21:43:50     INFO -  chrome://mochikit/content/browser-test.js:test_is:1283
21:43:50     INFO -  chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_upgrade_backup.js:test_upgrade_backup:68
21:43:50     INFO -  Not taking screenshot here: see the one that was previously logged
21:43:50    ERROR -  847 INFO TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup file has been created - Got false, expected true
21:43:50     INFO -  Stack trace:
21:43:50     INFO -  chrome://mochikit/content/browser-test.js:test_is:1283
21:43:50     INFO -  chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_upgrade_backup.js:test_upgrade_backup:70
21:43:50     INFO -  Not taking screenshot here: see the one that was previously logged
21:43:50    ERROR -  848 INFO TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_upgrade_backup.js | Uncaught exception - at (unknown module):undefined - Win error 3 during operation open (The system cannot find the path specified.
21:43:50     INFO -  )
21:43:50     INFO -  849 INFO Leaving test bound test_upgrade_backup
21:43:50     INFO -  850 INFO Entering test bound test_upgrade_backup_removal
Whiteboard: [stockwell disabled] → [stockwell disabled][stockwell needswork]
Over the last 7 days this bug has 33 failures. These happen on Linux x64, linux64-jsdcov, OS X 10.10, Windows 7, windows10-64-ccov

Here is the most recent log example: https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-inbound&job_id=174438939&lineNumber=4021

Here is a relevant part of that log: 

[task 2018-04-19T00:08:58.669Z] 00:08:58     INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup should be set - Got , expected 20180418234052
[task 2018-04-19T00:08:58.669Z] 00:08:58     INFO - Stack trace:
[task 2018-04-19T00:08:58.672Z] 00:08:58     INFO - chrome://mochikit/content/browser-test.js:test_is:1280
[task 2018-04-19T00:08:58.675Z] 00:08:58     INFO - chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_upgrade_backup.js:test_upgrade_backup:68
[task 2018-04-19T00:08:58.677Z] 00:08:58     INFO - Not taking screenshot here: see the one that was previously logged
[task 2018-04-19T00:08:58.682Z] 00:08:58     INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup file has been created - Got false, expected true
[task 2018-04-19T00:08:58.684Z] 00:08:58     INFO - Stack trace:
[task 2018-04-19T00:08:58.685Z] 00:08:58     INFO - chrome://mochikit/content/browser-test.js:test_is:1280
[task 2018-04-19T00:08:58.687Z] 00:08:58     INFO - chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_upgrade_backup.js:test_upgrade_backup:70
[task 2018-04-19T00:08:58.692Z] 00:08:58     INFO - Not taking screenshot here: see the one that was previously logged
[task 2018-04-19T00:08:58.694Z] 00:08:58     INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_upgrade_backup.js | Uncaught exception - at (unknown module):undefined - Unix error 2 during operation open (No such file or directory)
This looks like a timing issue wrt synchronizing pref changes between processes. I'll make some changes and test it on try.
OK, that wasn't it. Trying something else then.
Flags: needinfo?(mdeboer)
There are 31 failures in the last 7 days.

Relevant log info:

[task 2018-05-09T21:14:10.074Z] 21:14:10     INFO - TEST-START | browser/components/sessionstore/test/browser_upgrade_backup.js
[task 2018-05-09T21:14:10.151Z] 21:14:10     INFO - TEST-INFO | started process screentopng
[task 2018-05-09T21:14:10.739Z] 21:14:10     INFO - TEST-INFO | screentopng: exit 0
[task 2018-05-09T21:14:10.739Z] 21:14:10     INFO - Buffered messages logged at 21:14:10
[task 2018-05-09T21:14:10.739Z] 21:14:10     INFO - Entering test bound init
[task 2018-05-09T21:14:10.739Z] 21:14:10     INFO - Leaving test bound init
[task 2018-05-09T21:14:10.740Z] 21:14:10     INFO - Entering test bound test_upgrade_backup
[task 2018-05-09T21:14:10.740Z] 21:14:10     INFO - Let's check if we create an upgrade backup
[task 2018-05-09T21:14:10.741Z] 21:14:10     INFO - Buffered messages finished
[task 2018-05-09T21:14:10.741Z] 21:14:10     INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup should be set - Got , expected 20180509203139
[task 2018-05-09T21:14:10.741Z] 21:14:10     INFO - Stack trace:
[task 2018-05-09T21:14:10.742Z] 21:14:10     INFO - chrome://mochikit/content/browser-test.js:test_is:1290
[task 2018-05-09T21:14:10.742Z] 21:14:10     INFO - chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_upgrade_backup.js:test_upgrade_backup:68
[task 2018-05-09T21:14:10.743Z] 21:14:10     INFO - Not taking screenshot here: see the one that was previously logged
[task 2018-05-09T21:14:10.743Z] 21:14:10     INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup file has been created - Got false, expected true
[task 2018-05-09T21:14:10.744Z] 21:14:10     INFO - Stack trace:
[task 2018-05-09T21:14:10.748Z] 21:14:10     INFO - chrome://mochikit/content/browser-test.js:test_is:1290
[task 2018-05-09T21:14:10.750Z] 21:14:10     INFO - chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_upgrade_backup.js:test_upgrade_backup:70
[task 2018-05-09T21:14:10.752Z] 21:14:10     INFO - Not taking screenshot here: see the one that was previously logged
[task 2018-05-09T21:14:10.753Z] 21:14:10     INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_upgrade_backup.js | Uncaught exception - at (unknown module):undefined - Unix error 2 during operation open (No such file or directory)
[task 2018-05-09T21:14:10.756Z] 21:14:10     INFO - Leaving test bound test_upgrade_backup

:mikedeboer, can you please take a look?
Flags: needinfo?(mdeboer)
Whiteboard: [stockwell unknown] → [stockwell needswork]
The problem here is that the expected value which is "20180202165238" was most likely the date when the test has been written? But that value varies each day and seems to be bound to the current buildid of Firefox. So running the test today will give "20180621054629".

Mike, can you have a look at this bug again? Looks like it's still failing a lot.
In the last 7 days there are 31 failures.
Occurs on opt, Linux 32 & 64 and linux64-jsdcov.

Recent log: https://treeherder.mozilla.org/logviewer.html#?job_id=185472252&repo=mozilla-inbound&lineNumber=3894 

[task 2018-06-29T00:47:14.279Z]     INFO - TEST-START | browser/components/sessionstore/test/browser_upgrade_backup.js
[task 2018-06-29T00:47:14.357Z]     INFO - TEST-INFO | started process screentopng
[task 2018-06-29T00:47:14.917Z]     INFO - TEST-INFO | screentopng: exit 0
[task 2018-06-29T00:47:14.918Z]     INFO - Buffered messages logged at 00:47:14
[task 2018-06-29T00:47:14.919Z]     INFO - Entering test bound init
[task 2018-06-29T00:47:14.919Z]     INFO - Leaving test bound init
[task 2018-06-29T00:47:14.920Z]     INFO - Entering test bound test_upgrade_backup
[task 2018-06-29T00:47:14.921Z]     INFO - Let's check if we create an upgrade backup
[task 2018-06-29T00:47:14.922Z]     INFO - Buffered messages finished
[task 2018-06-29T00:47:14.923Z]     INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup should be set - Got , expected 20180629001004
[task 2018-06-29T00:47:14.924Z]     INFO - Stack trace:
[task 2018-06-29T00:47:14.925Z]     INFO - chrome://mochikit/content/browser-test.js:test_is:1300
[task 2018-06-29T00:47:14.925Z]     INFO - chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_upgrade_backup.js:test_upgrade_backup:68
[task 2018-06-29T00:47:14.926Z]     INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1098
[task 2018-06-29T00:47:14.927Z]     INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1089
[task 2018-06-29T00:47:14.927Z]     INFO - chrome://mochikit/content/browser-test.js:nextTest/<:991
[task 2018-06-29T00:47:14.928Z]     INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:795
[task 2018-06-29T00:47:14.929Z]     INFO - Not taking screenshot here: see the one that was previously logged
[task 2018-06-29T00:47:14.929Z]     INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup file has been created - Got false, expected true
[task 2018-06-29T00:47:14.930Z]     INFO - Stack trace:
[task 2018-06-29T00:47:14.930Z]     INFO - chrome://mochikit/content/browser-test.js:test_is:1300
[task 2018-06-29T00:47:14.931Z]     INFO - chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_upgrade_backup.js:test_upgrade_backup:70
[task 2018-06-29T00:47:14.932Z]     INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1098
[task 2018-06-29T00:47:14.933Z]     INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1089
[task 2018-06-29T00:47:14.934Z]     INFO - chrome://mochikit/content/browser-test.js:nextTest/<:991
[task 2018-06-29T00:47:14.935Z]     INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:795
[task 2018-06-29T00:47:14.938Z]     INFO - Not taking screenshot here: see the one that was previously logged
[task 2018-06-29T00:47:14.939Z]     INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_upgrade_backup.js | Uncaught exception - at (unknown module):undefined - Unix error 2 during operation open (No such file or directory)
[task 2018-06-29T00:47:14.940Z]     INFO - Leaving test bound test_upgrade_backup
[task 2018-06-29T00:47:14.941Z]     INFO - Entering test bound test_upgrade_backup_removal
[task 2018-06-29T00:47:14.942Z]     INFO - Let's see if we remove backups if there are too many
[task 2018-06-29T00:47:14.944Z]     INFO - TEST-PASS | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup should be set - 
[task 2018-06-29T00:47:14.944Z]     INFO - TEST-PASS | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup file has been created - 
[task 2018-06-29T00:47:14.945Z]     INFO - TEST-PASS | browser/components/sessionstore/test/browser_upgrade_backup.js | expected number of backups are present after removing old backups - 
[task 2018-06-29T00:47:14.946Z]     INFO - TEST-PASS | browser/components/sessionstore/test/browser_upgrade_backup.js | one new backup was created that was not removed - 
[task 2018-06-29T00:47:14.947Z]     INFO - TEST-PASS | browser/components/sessionstore/test/browser_upgrade_backup.js | second call to SessionFile.write() didn't create or remove more backups - 
[task 2018-06-29T00:47:14.948Z]     INFO - Leaving test bound test_upgrade_backup_removal
[task 2018-06-29T00:47:14.950Z]     INFO - GECKO(3757) | MEMORY STAT | vsize 1209MB | residentFast 389MB | heapAllocated 147MB
[task 2018-06-29T00:47:14.950Z]     INFO - TEST-OK | browser/components/sessionstore/test/browser_upgrade_backup.js | took 215ms
Whiteboard: [stockwell unknown] → [stockwell needswork]
There are 33 failures in the past 7 days, most of them on linux64/64-jsdcov opt, and we had a few occurrences on windows7-32 debug, windows10-64 asan and osx-10-10 debug.

Recent log failure: https://treeherder.mozilla.org/logviewer.html#?job_id=188076662&repo=mozilla-inbound&lineNumber=3140

Relevant part of the log: [task 2018-07-13T16:57:11.321Z] 16:57:11     INFO - TEST-START | browser/components/sessionstore/test/browser_upgrade_backup.js
[task 2018-07-13T16:57:11.379Z] 16:57:11     INFO - TEST-INFO | started process screentopng
[task 2018-07-13T16:57:11.965Z] 16:57:11     INFO - TEST-INFO | screentopng: exit 0
[task 2018-07-13T16:57:11.965Z] 16:57:11     INFO - Buffered messages logged at 16:57:11
[task 2018-07-13T16:57:11.965Z] 16:57:11     INFO - Entering test bound init
[task 2018-07-13T16:57:11.965Z] 16:57:11     INFO - Leaving test bound init
[task 2018-07-13T16:57:11.965Z] 16:57:11     INFO - Entering test bound test_upgrade_backup
[task 2018-07-13T16:57:11.965Z] 16:57:11     INFO - Let's check if we create an upgrade backup
[task 2018-07-13T16:57:11.965Z] 16:57:11     INFO - Buffered messages finished
[task 2018-07-13T16:57:11.965Z] 16:57:11     INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup should be set - Got , expected 20180713162708
[task 2018-07-13T16:57:11.967Z] 16:57:11     INFO - Stack trace:
[task 2018-07-13T16:57:11.967Z] 16:57:11     INFO - chrome://mochikit/content/browser-test.js:test_is:1305
[task 2018-07-13T16:57:11.968Z] 16:57:11     INFO - chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_upgrade_backup.js:test_upgrade_backup:68
[task 2018-07-13T16:57:11.969Z] 16:57:11     INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1103
[task 2018-07-13T16:57:11.969Z] 16:57:11     INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1094
[task 2018-07-13T16:57:11.970Z] 16:57:11     INFO - chrome://mochikit/content/browser-test.js:nextTest/<:996
[task 2018-07-13T16:57:11.970Z] 16:57:11     INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:795
[task 2018-07-13T16:57:11.971Z] 16:57:11     INFO - Not taking screenshot here: see the one that was previously logged
[task 2018-07-13T16:57:11.972Z] 16:57:11     INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup file has been created - Got false, expected true
[task 2018-07-13T16:57:11.974Z] 16:57:11     INFO - Stack trace:
[task 2018-07-13T16:57:11.975Z] 16:57:11     INFO - chrome://mochikit/content/browser-test.js:test_is:1305
[task 2018-07-13T16:57:11.977Z] 16:57:11     INFO - chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_upgrade_backup.js:test_upgrade_backup:70
[task 2018-07-13T16:57:11.978Z] 16:57:11     INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1103
[task 2018-07-13T16:57:11.980Z] 16:57:11     INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1094
[task 2018-07-13T16:57:11.981Z] 16:57:11     INFO - chrome://mochikit/content/browser-test.js:nextTest/<:996
[task 2018-07-13T16:57:11.982Z] 16:57:11     INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:795
[task 2018-07-13T16:57:11.984Z] 16:57:11     INFO - Not taking screenshot here: see the one that was previously logged
[task 2018-07-13T16:57:11.985Z] 16:57:11     INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_upgrade_backup.js | Uncaught exception - at (unknown module):undefined - Unix error 2 during operation open (No such file or directory)
[task 2018-07-13T16:57:11.986Z] 16:57:11     INFO - Leaving test bound test_upgrade_backup
[task 2018-07-13T16:57:11.987Z] 16:57:11     INFO - Entering test bound test_upgrade_backup_removal
[task 2018-07-13T16:57:11.989Z] 16:57:11     INFO - Let's see if we remove backups if there are too many

:mikedeboer Could you please take a look at this?
Update:
There have been 31 failures in the last week:
- linux32 / opt: 11
- linux64 /opt & pgo: 8
- linux64-jsdcov / opt: 6
- windows10-64-ccov / debug: 3
- osx-10-10 / debug: 2
- windows10-64 / asan: 1

Recent relevant log file and snippet with the failure:
https://treeherder.mozilla.org/logviewer.html#?job_id=189356965&repo=autoland&lineNumber=3578

[task 2018-07-21T23:00:27.545Z] 23:00:27     INFO - TEST-START | browser/components/sessionstore/test/browser_upgrade_backup.js
[task 2018-07-21T23:00:27.602Z] 23:00:27     INFO - TEST-INFO | started process screentopng
[task 2018-07-21T23:00:28.148Z] 23:00:28     INFO - TEST-INFO | screentopng: exit 0
[task 2018-07-21T23:00:28.150Z] 23:00:28     INFO - Buffered messages logged at 23:00:27
[task 2018-07-21T23:00:28.150Z] 23:00:28     INFO - Entering test bound init
[task 2018-07-21T23:00:28.151Z] 23:00:28     INFO - Leaving test bound init
[task 2018-07-21T23:00:28.152Z] 23:00:28     INFO - Entering test bound test_upgrade_backup
[task 2018-07-21T23:00:28.153Z] 23:00:28     INFO - Let's check if we create an upgrade backup
[task 2018-07-21T23:00:28.154Z] 23:00:28     INFO - Buffered messages finished
[task 2018-07-21T23:00:28.155Z] 23:00:28     INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup should be set - Got , expected 20180721220021
[task 2018-07-21T23:00:28.156Z] 23:00:28     INFO - Stack trace:
[task 2018-07-21T23:00:28.157Z] 23:00:28     INFO - chrome://mochikit/content/browser-test.js:test_is:1305
[task 2018-07-21T23:00:28.157Z] 23:00:28     INFO - chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_upgrade_backup.js:test_upgrade_backup:68
[task 2018-07-21T23:00:28.158Z] 23:00:28     INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1103
[task 2018-07-21T23:00:28.160Z] 23:00:28     INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1094
[task 2018-07-21T23:00:28.162Z] 23:00:28     INFO - chrome://mochikit/content/browser-test.js:nextTest/<:996
[task 2018-07-21T23:00:28.162Z] 23:00:28     INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:795
[task 2018-07-21T23:00:28.164Z] 23:00:28     INFO - Not taking screenshot here: see the one that was previously logged
[task 2018-07-21T23:00:28.165Z] 23:00:28     INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup file has been created - Got false, expected true
[task 2018-07-21T23:00:28.168Z] 23:00:28     INFO - Stack trace:
Flags: needinfo?(mdeboer)
This bug has failed 36 times in the last 7 days. Occurs on windows10-64 on debug and asan build type.

Recent log:
https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=215135778&repo=mozilla-inbound&lineNumber=2807

mikedeboer: Can you please take a look at this bug?
Flags: needinfo?(mdeboer)
Update: There have been 34 failures within the last 7 days as it follows:
- 2 failures on Linux x64 opt 
- 1 failure on OS X 10.10 debug
- 31 failures on Windows 10 x64 debug/asan
This bug failed 52 times in the last 7 days. Occurs windows10-64 on asan and debug build types.

Log:
https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=217586404&repo=autoland&lineNumber=3409

 INFO - TEST-START | browser/components/sessionstore/test/browser_undoCloseById.js
01:54:07     INFO - GECKO(7500) | MEMORY STAT | vsize 17303875MB | vsizeMaxContiguous 114813610MB | residentFast 1832MB
01:54:07     INFO - TEST-OK | browser/components/sessionstore/test/browser_undoCloseById.js | took 6081ms
01:54:07     INFO - checking window state
01:54:07     INFO - TEST-START | browser/components/sessionstore/test/browser_upgrade_backup.js
01:54:07     INFO - TEST-INFO | started process screenshot
01:54:07     INFO - TEST-INFO | screenshot: exit 0
01:54:07     INFO - Buffered messages logged at 01:54:07
01:54:07     INFO - Entering test bound init
01:54:07     INFO - Leaving test bound init
01:54:07     INFO - Entering test bound test_upgrade_backup
01:54:07     INFO - Let's check if we create an upgrade backup
01:54:07     INFO - Buffered messages finished
01:54:07     INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup should be set - Got , expected 20181218001112
01:54:07     INFO - Stack trace:
01:54:07     INFO - chrome://mochikit/content/browser-test.js:test_is:1312
01:54:07     INFO - chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_upgrade_backup.js:test_upgrade_backup:68
01:54:07     INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1102
01:54:07     INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1093
01:54:07     INFO - chrome://mochikit/content/browser-test.js:nextTest/<:991
01:54:07     INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:803
01:54:07     INFO - Not taking screenshot here: see the one that was previously logged
01:54:07     INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup file has been created - Got false, expected true
01:54:07     INFO - Stack trace:
01:54:07     INFO - chrome://mochikit/content/browser-test.js:test_is:1312
01:54:07     INFO - chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_upgrade_backup.js:test_upgrade_backup:70
01:54:07     INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1102
01:54:07     INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1093
01:54:07     INFO - chrome://mochikit/content/browser-test.js:nextTest/<:991
01:54:07     INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:803
01:54:07     INFO - Not taking screenshot here: see the one that was previously logged
01:54:07     INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_upgrade_backup.js | Uncaught exception - at (unknown module):undefined - Win error 3 during operation open (The system cannot find the path specified.
01:54:07     INFO - )
01:54:07     INFO - Leaving test bound test_upgrade_backup
01:54:07     INFO - Entering test bound test_upgrade_backup_removal
01:54:07     INFO - Let's see if we remove backups if there are too many
01:54:07     INFO - TEST-PASS | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup should be set - 
01:54:07     INFO - TEST-PASS | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup file has been created - 
01:54:08     INFO - TEST-PASS | browser/components/sessionstore/test/browser_upgrade_backup.js | expected number of backups are present after removing old backups - 
01:54:08     INFO - TEST-PASS | browser/components/sessionstore/test/browser_upgrade_backup.js | one new backup was created that was not removed - 
01:54:08     INFO - TEST-PASS | browser/components/sessionstore/test/browser_upgrade_backup.js | second call to SessionFile.write() didn't create or remove more backups - 

mikedeboer: Can you please take a look at this bug?
Assignee: nobody → ccoroiu
Attachment #9033044 - Flags: review?(jmaher)
Comment on attachment 9033044 [details] [diff] [review]
Disable browser_upgrade_backup.js on windows for frequent failures

Review of attachment 9033044 [details] [diff] [review]:
-----------------------------------------------------------------

::: browser/components/sessionstore/test/browser.ini
@@ +131,4 @@
>  [browser_switch_remoteness.js]
>  run-if = e10s
>  [browser_upgrade_backup.js]
> +skip-if = ((os == 'linux' || os == 'win' && os_version == '10.0' && bits == 64) && (asan || debug)) || (verify && debug && (os == 'mac')) # Bug 1435394 disabled on Linux and Windows

in this case the parenthesis are wrong, I would leave the original line alone and add:
(os == 'win' && bits == 64)
Attachment #9033044 - Flags: review?(jmaher) → review-
Attached patch modified_patchSplinter Review
Attachment #9033044 - Attachment is obsolete: true
Attachment #9033077 - Flags: review?(jmaher)
Attachment #9033077 - Flags: review?(jmaher) → review+
Keywords: checkin-needed
Whiteboard: [stockwell disable-recommended] → [stockwell disabled]
Pushed by csabou@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/88a06a262fa7
disable browser_upgrade_backup.js on windows for frequent failures. r=jmaher
Keywords: checkin-needed

There are 25 total failures in the last 7 days on osx-10-10 debug

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=231769651&repo=autoland&lineNumber=17170

00:02:45 INFO - TEST-START | browser/components/sessionstore/test/browser_upgrade_backup.js
00:02:45 INFO - TEST-INFO | started process screencapture
00:02:45 INFO - TEST-INFO | screencapture: exit 0
00:02:45 INFO - Buffered messages logged at 16:02:45
00:02:45 INFO - Entering test bound init
00:02:45 INFO - Leaving test bound init
00:02:45 INFO - Entering test bound test_upgrade_backup
00:02:45 INFO - Let's check if we create an upgrade backup
00:02:45 INFO - Buffered messages finished
00:02:45 INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup should be set - Got , expected 20190304230401
00:02:45 INFO - Stack trace:
00:02:45 INFO - chrome://mochikit/content/browser-test.js:test_is:1315
00:02:45 INFO - chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_upgrade_backup.js:test_upgrade_backup:68
00:02:45 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1106
00:02:45 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1134
00:02:45 INFO - chrome://mochikit/content/browser-test.js:nextTest/<:995
00:02:45 INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:803
00:02:45 INFO - Not taking screenshot here: see the one that was previously logged
00:02:45 INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup file has been created - Got false, expected true
00:02:45 INFO - Stack trace:
00:02:45 INFO - chrome://mochikit/content/browser-test.js:test_is:1315
00:02:45 INFO - chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_upgrade_backup.js:test_upgrade_backup:70
00:02:45 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1106
00:02:45 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1134
00:02:45 INFO - chrome://mochikit/content/browser-test.js:nextTest/<:995
00:02:45 INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:803
00:02:45 INFO - Not taking screenshot here: see the one that was previously logged
00:02:45 INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_upgrade_backup.js | Uncaught exception - at (unknown module):undefined - Unix error 2 during operation open (No such file or directory)
00:02:45 INFO - Leaving test bound test_upgrade_backup
00:02:45 INFO - Entering test bound test_upgrade_backup_removal
00:02:45 INFO - Let's see if we remove backups if there are too many
00:02:45 INFO - TEST-PASS | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup should be set -
00:02:45 INFO - TEST-PASS | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup file has been created -
00:02:45 INFO - TEST-PASS | browser/components/sessionstore/test/browser_upgrade_backup.js | expected number of backups are present after removing old backups -
00:02:45 INFO - TEST-PASS | browser/components/sessionstore/test/browser_upgrade_backup.js | one new backup was created that was not removed -
00:02:45 INFO - TEST-PASS | browser/components/sessionstore/test/browser_upgrade_backup.js | second call to SessionFile.write() didn't create or remove more backups -
00:02:45 INFO - Leaving test bound test_upgrade_backup_removal
00:02:45 INFO - GECKO(2007) | MEMORY STAT | vsize 4981MB | residentFast 949MB | heapAllocated 237MB
00:02:45 INFO - TEST-OK | browser/components/sessionstore/test/browser_upgrade_backup.js | took 331ms

Mike can you assign someone here?

Flags: needinfo?(mdeboer)
Flags: needinfo?(mdeboer)
Whiteboard: [stockwell disabled] → [stockwell disabled][stockwell needswork:owner]

In the last 7 days there have been 39 occurrences on OSX debug.

Update:
There have been 37 failures within the last 7 days:

21:25:39 INFO - TEST-START | browser/components/sessionstore/test/browser_upgrade_backup.js
21:25:39 INFO - TEST-INFO | started process screencapture
21:25:39 INFO - TEST-INFO | screencapture: exit 0
21:25:39 INFO - Buffered messages logged at 21:25:39
21:25:39 INFO - Entering test bound init
21:25:39 INFO - Leaving test bound init
21:25:39 INFO - Entering test bound test_upgrade_backup
21:25:39 INFO - Let's check if we create an upgrade backup
21:25:39 INFO - Buffered messages finished
21:25:39 INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup should be set - Got , expected 20190323202539
21:25:39 INFO - Stack trace:
21:25:39 INFO - chrome://mochikit/content/browser-test.js:test_is:1315
21:25:39 INFO - chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_upgrade_backup.js:test_upgrade_backup:68
21:25:39 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1106
21:25:39 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1134
21:25:39 INFO - chrome://mochikit/content/browser-test.js:nextTest/<:995
21:25:39 INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:803
21:25:39 INFO - Not taking screenshot here: see the one that was previously logged
21:25:39 INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup file has been created - Got false, expected true
21:25:39 INFO - Stack trace:
21:25:39 INFO - chrome://mochikit/content/browser-test.js:test_is:1315
21:25:39 INFO - chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_upgrade_backup.js:test_upgrade_backup:70
21:25:39 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1106
21:25:39 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1134
21:25:39 INFO - chrome://mochikit/content/browser-test.js:nextTest/<:995
21:25:39 INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:803
21:25:39 INFO - Not taking screenshot here: see the one that was previously logged
21:25:39 INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_upgrade_backup.js | Uncaught exception - at (unknown module):undefined - Unix error 2 during operation open (No such file or directory)
21:25:39 INFO - Leaving test bound test_upgrade_backup
21:25:39 INFO - Entering test bound test_upgrade_backup_removal
21:25:39 INFO - Let's see if we remove backups if there are too many
21:25:39 INFO - TEST-PASS | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup should be set -

In the last 7 days, there have been 34 failures.

The failures are on osx-10-10 and windows7-32 platforms, debug build type.

An example of a recent log file:
https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=237190300&repo=mozilla-inbound&lineNumber=17363

And the relevant part of the log:
09:49:31 INFO - TEST-START | browser/components/sessionstore/test/browser_upgrade_backup.js
09:49:31 INFO - TEST-INFO | started process screencapture
09:49:31 INFO - TEST-INFO | screencapture: exit 0
09:49:31 INFO - Buffered messages logged at 09:49:31
09:49:31 INFO - Entering test bound init
09:49:31 INFO - Leaving test bound init
09:49:31 INFO - Entering test bound test_upgrade_backup
09:49:31 INFO - Let's check if we create an upgrade backup
09:49:31 INFO - Buffered messages finished
09:49:31 INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup should be set - Got , expected 20190331090825
09:49:31 INFO - Stack trace:
09:49:31 INFO - chrome://mochikit/content/browser-test.js:test_is:1315
09:49:31 INFO - chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_upgrade_backup.js:test_upgrade_backup:68
09:49:31 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1106
09:49:31 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1134
09:49:31 INFO - chrome://mochikit/content/browser-test.js:nextTest/<:995
09:49:31 INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:803
09:49:31 INFO - Not taking screenshot here: see the one that was previously logged

Mike, as you are the triage owner of this component, could you please take a look at this?
Thank you!

There are 28 total failures in the last 7 days mostly on osx-10-10 debug, then windows7-32 debug.

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=239535075&repo=autoland&lineNumber=23782

01:37:33 INFO - TEST-START | browser/components/sessionstore/test/browser_upgrade_backup.js
01:37:33 INFO - TEST-INFO | started process screenshot
01:37:33 INFO - TEST-INFO | screenshot: exit 0
01:37:33 INFO - Buffered messages logged at 01:37:33
01:37:33 INFO - Entering test bound init
01:37:33 INFO - Leaving test bound init
01:37:33 INFO - Entering test bound test_upgrade_backup
01:37:33 INFO - Let's check if we create an upgrade backup
01:37:33 INFO - Buffered messages finished
01:37:33 INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup should be set - Got , expected 20190411000947
01:37:33 INFO - Stack trace:
01:37:33 INFO - chrome://mochikit/content/browser-test.js:test_is:1325
01:37:33 INFO - chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_upgrade_backup.js:test_upgrade_backup:68
01:37:33 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1116
01:37:33 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1144
01:37:33 INFO - chrome://mochikit/content/browser-test.js:nextTest/<:1005
01:37:33 INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:803
01:37:33 INFO - Not taking screenshot here: see the one that was previously logged
01:37:33 INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup file has been created - Got false, expected true
01:37:33 INFO - Stack trace:
01:37:33 INFO - chrome://mochikit/content/browser-test.js:test_is:1325
01:37:33 INFO - chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_upgrade_backup.js:test_upgrade_backup:70
01:37:33 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1116
01:37:33 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1144
01:37:33 INFO - chrome://mochikit/content/browser-test.js:nextTest/<:1005
01:37:33 INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:803
01:37:33 INFO - Not taking screenshot here: see the one that was previously logged
01:37:33 INFO - TEST-UNEXPECTED-FAIL | browser/components/sessionstore/test/browser_upgrade_backup.js | Uncaught exception - at (unknown module):undefined - Win error 3 during operation open (The system cannot find the path specified.
01:37:33 INFO - )
01:37:33 INFO - Leaving test bound test_upgrade_backup
01:37:33 INFO - Entering test bound test_upgrade_backup_removal
01:37:33 INFO - Let's see if we remove backups if there are too many
01:37:33 INFO - TEST-PASS | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup should be set -
01:37:33 INFO - TEST-PASS | browser/components/sessionstore/test/browser_upgrade_backup.js | upgrade backup file has been created -
01:37:33 INFO - TEST-PASS | browser/components/sessionstore/test/browser_upgrade_backup.js | expected number of backups are present after removing old backups -
01:37:33 INFO - TEST-PASS | browser/components/sessionstore/test/browser_upgrade_backup.js | one new backup was created that was not removed -
01:37:33 INFO - TEST-PASS | browser/components/sessionstore/test/browser_upgrade_backup.js | second call to SessionFile.write() didn't create or remove more backups -
01:37:33 INFO - Leaving test bound test_upgrade_backup_removal

Joel since there is no activity here and triage owner has not replied in the last month, can we move forward and disable the test? there are 137 occurrences in the last 30 days https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2019-03-12&endday=2019-04-11&tree=trunk&bug=1435394 .

Flags: needinfo?(jmaher)

yes, lets disable this test.

Flags: needinfo?(jmaher)
Pushed by ccoroiu@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/bf08ffab68b1
disabled browser_upgrade_backup.js on win and osx r=jmaher
Flags: needinfo?(mdeboer)

Over the last 7 days this bug has 78 failures. These happen only on windows10-64.

Here is the most recent log example: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=241637263&repo=mozilla-central&lineNumber=4821

Flags: needinfo?(mdeboer)

Andrea, if you meant to disable this test on Windows too, then your patch didn't do the job (see comment 112). You might want to check your patch again.

Flags: needinfo?(mdeboer) → needinfo?(apavel)

"debug" should have been the condition to disable win too. However I see recent failure logs have the test failing on win asan. Thank Mike, will handle it shortly.

Flags: needinfo?(apavel)
Attachment #9057500 - Attachment is obsolete: true
Pushed by apavel@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/93d0a39116d4
disabled browser_upgrade_backup.js on win and osx r=jmaher
You need to log in before you can comment on or make changes to this bug.